from spread_core.bam.engineries import Enginery
from spread_core.mqtt.spread.variable import Variable
from .enginery import Enginery, _EngineryFunit


class Mechanical(Enginery):
    pass


class Shutter(Mechanical):
    pass


class Curtain(Mechanical):
    pass


class Blind(Mechanical):
    pass


class _MechFunit(_EngineryFunit):
    entity_type = Mechanical


Mechanical.funit_class = _MechFunit


class Open(_MechFunit):
    @property
    def set_value(self): return 100 if self._variable.value else 0

    def set(self): self.entity.publish_provider_command(BrightnessLevel, self.set_value, sig=self.signature)


class BrightnessLevel(_MechFunit):
    pass
