class TopicBus:
    protocol = 'Bus'

    def __init__(self, direct, part):
        self.direct = direct
        self.part = part

    def __str__(self): return f'{self.protocol}/{self.direct}/{self.part}'
    def __repr__(self): return str(self)

    @property
    def is_dump(self): return self.direct == 'Dump'

    @classmethod
    def of_send(cls, part): return cls('Send', part)

    @classmethod
    def of_dump(cls, part): return cls('Dump', part)
